#include <iostream>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    int niz[n];
    long long m=n-1;
    long long k=0;
    for(int i=0;i<n;i++)
        cin>>niz[i];
    if (n!=2)
    {
         for (int i=n-1;i>=0;i--)
        {
            if (niz[i]>niz[m] && i!=0)
                m=i;
            else if (niz[i]<niz[k])
                k=i;
        }
        int pom=niz[k];
        niz[k]=niz[m];
        niz[m]=pom;
    }
    else 
    {
        int pom=niz[0];
        niz[0]=niz[1];
        niz[1]=pom;
    }
    for (int i=0;i<n;i++)
    cout<<niz[i] ;
    return 0;
}